# Tokenized format

## Goals

* easier extensible -> future additions should force as little code changes as possible
* more flexible -> by tokenizing the text it is easier to reference specific parts. This should make it easy to add new interactive variations

## Raw Format

```
Actually, we created a so-called **variable** and gave it a **value**.
Cool Stuff.
```

```xml
<p version="2" rawContent="Actually, we created a so-called **variable** and gave it a **value**&#xA;Cool Stuff.">
    <content>
        <text value="Actually, we created a so-called " />
        <text type="bold" value="variable" />
        <text value=" and gave it a " />
        <text type="bold" value="value" />
        <text type="break" />
        <text value="Cool Stuff." />
    </content>
  <interactions>
        <interaction type="orderTheLines" />
    </interactions>
   <instructions>
        <instruction rawContent="Set the **background** color.">
            <content>
                <text value="Set the " />
                <text type="bold" value="background" />
                <text value=" color" />
            </content>
        </instruction>
        <instruction rawContent="Increase the width to 100px.">
            <content>
                <text value="Increase the width to 100px." />
            </content>
        </instruction>
   </instructions>
</p>
```
